Announcement

Collapse
No announcement yet.

Pro-100 software update needs .NET

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    #16
    I had put in a request for .NET 3.5 support at the beginning of the year and Rich responded with indication that he thought .NET 3.0 could be uprgrade and would check. He never got back on it. This Sprink a mcsSprinklers user reported back success going the .NET 3.0 to .NET 3.5 SP1 route via normal MS updates on his PRO100 or Hometroller. It may be appropriate to contact HST directly as there is no indication on their web site what they are selling in the USB sticks and sufficient time has lapsed since the initial inquiry was made.

    I did post an offering earlier about a version of mcsSprinklers that would not require .NET and would have the annual charts in HTML rather than nice charts. Nobody responded with any interest. Maintaining a second configuration is not desirable so I'm not too eager to do it.

    Comment


      #17
      I will check the pro restore, it should be..net 3 but I will make sure.
      website | buy now | support | youtube

      Comment


        #18
        Hi Rich... any update on this?

        Comment


          #19
          Ok, I checked the latest OS and .NET 3.0 is included. So you should have a folder named 3.0 in your Microsoft.net folder in your Windows folder. If not, you don't have the latest OS and need the latest PRO-100 system restore drive. I assume this is a series 2 PRO-100?
          website | buy now | support | youtube

          Comment


            #20
            The one im testing on now Rich is the Pro-100 Series I
            I have restore sticks for both that i just bought and they both said they were versions 1.4

            I'll check for the folder later... But the test i did said it only had .Net 2.0 running.
            I used this tool to check the .Net version and got the results below.
            http://www.asoft.be/prod_netver.html

            2.0.50727.42
            ->C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727
            < Installed .NET Frameworks >
            .NET FW 2.0

            May 3.0 isnt on the PRO-100 Series I stick?

            Comment


              #21
              Did you ever find out about the Series I restore drive having .NET 3.0?

              Comment


                #22
                I did... Rich says the Series one didnt get the full rewrite and does not come with the 3.0. Which is only bad for me and my ability to test for George ahead of time. The only way now to try on his would be to get another DOM installed and just do it. Not that easy when the system is in use every day.

                Comment


                  #23
                  Same situation for me with the series 1. The older siblings tend to get neglected when a new baby is born.

                  Comment


                    #24
                    Thx Mike.... I totally understand.
                    Ive got a question... When restricting with the time can i enter a value from lets say 04:00 - 24:00 AND 00:00 - 3:00 ? So water can only happen between 3 and 4 am? I put in 04:00 - 23:59 and it started watering at 11:59 for a minute before being cut off by the time inhibit.

                    Comment


                      #25
                      It is designed to accept times that wrap around midnight as you desire.

                      Comment


                        #26
                        Hi Mike,

                        Here we go again with the .net 3.5. Im working on Georges brand new home with a new series III pro100 and I just ran the mcsSprinklers setup which trys to update and fails on the .net. component. Is there another way around this? The other house is working perfectly now BTW...
                        Attached Files

                        Comment


                          #27
                          It is likely that the PRO100 was delivered with .NET 2.0 which is not upgradeable to .NET 3.5. You need to start with .NET 3.0. I have a reference at the change log thread of mcsSprinklers that references a user that describes how to install .NET 3.5 on the embedded XP targets.

                          Comment


                            #28
                            From the registry it looks like this Pro-100 came with .net 2.0 and 3.0

                            Comment

                            Working...
                            X